Bug 184727 - Changes made in Resource Bundles editor are not persistant for bold entries
Changes made in Resource Bundles editor are not persistant for bold entries
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
PC Mac OS X
: P3 (vote)
: 6.x
Assigned To: Antonin Nebuzelsky
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 13:26 UTC by Tomas Danek
Modified: 2010-04-28 05:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2010-04-22 13:26:09 UTC
20100121
--------
- create netbeans platform app
- pick some bold property, e.g. LBL_splash_windows_title and edit value
- save by OK button on branding editor
- reopen branding editor - change is not persistant
Comment 1 Tomas Danek 2010-04-22 14:04:52 UTC
adjusting priority
Comment 2 Antonin Nebuzelsky 2010-04-27 10:05:20 UTC
http://hg.netbeans.org/core-main/rev/0cabe6589eb5

Fixed for Application Title (Basic panel) and the four related bundle keys (currentVersion, LBL_splash_window_title, CTL_MainWindow_Title, CTL_MainWindow_Title_No_Project).

If user modifies any of these four bundle keys manually in Resource Bundles panel, the user's value is preserved until the user modifies Application Title in Basic panel. Then these four bundle keys are again reset according to the following pattern:

currentVersion=APPLICATIONTITLE {0}
LBL_splash_window_title=Starting APPLICATIONTITLE
CTL_MainWindow_Title=APPLICATIONTITLE {0}
CTL_MainWindow_Title_No_Project=APPLICATIONTITLE {0}

The other properties are still always forced to be the values from Splash Screen and Window System panels because these are either booleans or numeric values and there is no need for the user to modify them separately in Resource Bundles panel.
Comment 3 Quality Engineering 2010-04-28 05:03:18 UTC
Integrated into 'main-golden', will be available in build *201004280200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo